'use strict';

var watchers = {};

module.exports = function(gulp) {
    /**
     * Подписка на изменения файлов
     */
    function watch() {
        watchers.markup = gulp.watch([
            'bundles/**/*.bemjson.js',
            'bundles/**/blocks/**/*.{js,css,styl}',
            'blocks/**/*.{js,css,styl}'
        ], {maxListeners: 1000}, ['rebuild']);
    }

    gulp.task('rewatch', watch);
    gulp.task('watch', ['build'], watch);
};
